Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

perl-Class-Load-0.25-1.13 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: perl-Class-Load Distribution: openSUSE Tumbleweed
Version: 0.25 Vendor: openSUSE
Release: 1.13 Build date: Sun Sep 26 04:12:47 2021
Group: Development/Libraries/Perl Build host: goat11
Size: 44007 Source RPM: perl-Class-Load-0.25-1.13.src.rpm
Packager: https://bugs.opensuse.org
Url: http://search.cpan.org/dist/Class-Load/
Summary: Working (Require "Class::Name") and More
'require EXPR' only accepts 'Class/Name.pm' style module names, not
'Class::Name'. How frustrating! For that, we provide 'load_class
'Class::Name''.

It's often useful to test whether a module can be loaded, instead of
throwing an error when it's not available. For that, we provide
'try_load_class 'Class::Name''.

Finally, sometimes we need to know whether a particular class has been
loaded. Asking '%INC' is an option, but that will miss inner packages and
any class for which the filename does not correspond to the package name.
For that, we provide 'is_class_loaded 'Class::Name''.

Provides

Requires

License

Artistic-1.0 OR GPL-1.0-or-later

Changelog

* Mon Jun 11 2018 coolo@suse.com
  - updated to 0.25
    see /usr/share/doc/packages/perl-Class-Load/Changes
    0.25     2018-06-10 20:55:10Z
    - merged required and recommended Data::OptList version prerequisite, to
      work around CPAN.pm bug (RT#123447)
* Tue Apr 11 2017 coolo@suse.com
  - updated to 0.24
    see /usr/share/doc/packages/perl-Class-Load/Changes
    0.24     2017-04-10 21:12:31Z
    - fix test to handle altered Test::Without::Module exception message
      (PR#2, Paul Howarth)
* Sat Jun 27 2015 coolo@suse.com
  - updated to 0.23
    see /usr/share/doc/packages/perl-Class-Load/Changes
    0.23     2015-06-25
    - remove use of namespace::clean
* Thu Apr 16 2015 coolo@suse.com
  - updated to 0.22
    see /usr/share/doc/packages/perl-Class-Load/Changes
    0.22     2014-08-16
    - document some of the caveats to using this module, and refer to
      Module::Runtime as an alternative
* Sun Feb 09 2014 coolo@suse.com
  - updated to 0.21
    - repository moved to the github moose organization
* Mon Jun 10 2013 coolo@suse.com
  - remove outdated patch perl-Class-Load-old_test_more.patch
* Mon Jun 03 2013 coolo@suse.com
  - updated to 0.20
    - The load_class() subroutine now returns the class name on success. Requested
      by Caleb Cushing. RT #76931.
    - Exceptions and errors from Class::Load no longer contain references to line
      numbers in Class::Load or Module::Runtime. This applies to exceptions thrown
      by load_class, load_first_existing_class, and load_optional_class, as well
      as the error returned by try_load_class.
    - Exceptions are now croaked properly so they appear to come from the calling
      code, not from an internal subroutine. This makes the exceptions look more
      like the ones thrown by Perl's require. RT #68663.
* Thu Mar 01 2012 ro@suse.de
  - fix build with old Test::More on sle11
* Tue Feb 21 2012 coolo@suse.com
  - updated to 0.18
    - Require Package::Stash 0.14+. Fixes RT#75095. Reported by Zefram.
* Mon Feb 13 2012 coolo@suse.com
  - updated to 0.17
    - A bug in Class::Load caused test failures when Module::Runtime 0.012 was
    used with Perl 5.8.x. Reported by Zefram. RT#74897. ( Jesse Luehrs )
    - Require Module::Runtime 0.012, which has a number of useful bug fixes.
    - Small test changes to accomodate latest version of
    Module::Implementation. There's no need to upgrade if you're already using
    0.14
    - Use Module::Implementation to handle loading the XS or PP versions of the
    code. Using this module fixes a few bugs.
    - Under taint mode, setting an implementation in the CLASS_LOAD_IMPLEMENTATION
    env var caused a taint error.
    - An invalid value in the CLASS_LOAD_IMPLEMENTATION env var is now detected
    and reported immediately. No attempt is made to load an invalid
    implementation.
    - Fix some bugs with our use of Try::Tiny. This could cause warnings on some
    systems with Class::Load::XS wasn't installed. Fixes RT#72345.

Files

/usr/lib/perl5/vendor_perl/5.34.0/Class
/usr/lib/perl5/vendor_perl/5.34.0/Class/Load
/usr/lib/perl5/vendor_perl/5.34.0/Class/Load.pm
/usr/lib/perl5/vendor_perl/5.34.0/Class/Load/PP.pm
/usr/share/doc/packages/perl-Class-Load
/usr/share/doc/packages/perl-Class-Load/CONTRIBUTING
/usr/share/doc/packages/perl-Class-Load/Changes
/usr/share/doc/packages/perl-Class-Load/README
/usr/share/licenses/perl-Class-Load
/usr/share/licenses/perl-Class-Load/LICENSE
/usr/share/man/man3/Class::Load.3pm.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Oct 21 23:18:09 2021